import { executeCommand } from './broker.js';

function handleClick(): void {
  console.log("Der Button wurde geklickt!");
  alert("Hallo von TypeScript!");

  //executeCommand();
  fetch("/api/command", { method: "POST" })
    .then(res => res.text())
    .then(text => console.log("Server sagt:", text));
}
  
document.addEventListener("DOMContentLoaded", () => {
  const button = document.getElementById("myButton");
  button?.addEventListener("click", handleClick);
});